const getters = {
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  introduction: state => state.user.introduction,
  roles: state => state.user.roles,
  serviceType: (state) => {
    if (state.user.serviceType) {
      return state.user.serviceType
    }
    if (!state.user.serviceType) {
      return localStorage.getItem('set_service_type')
    }
  },
  companyLogo: state => state.user.companyLogo,
  baseInfo: state => state.user.baseInfo, // 设置系统基础信息
};
export default getters;
